Module jdk.compiler
Package com.sun.source.tree

# Interface WhileLoopTree

All Superinterfaces:
  `StatementTree`, `Tree`

    public interface WhileLoopTree
    extends StatementTree

A tree node for a `while` loop statement. For example:

       while ( condition )
         statement

See Java Language Specification:
  14.12 The while Statement
Since:
  1.6

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ExpressionTree` | `getCondition()` | Returns the condition of the loop.
`StatementTree` | `getStatement()` | Returns the body of the loop.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getCondition

ExpressionTree getCondition()
Returns the condition of the loop.

Returns:
  the condition

### getStatement

StatementTree getStatement()
Returns the body of the loop.

Returns:
  the body of the loop